Subject: E-Verify Poster
From: Labor Law <[email-masked]>
To: Steve Fata <[email-masked]>
Cc: Joey Sheets <[email-masked]>, Mike <[email-masked]>
Date: Fri, 10 Mar 2017 12:49:09 -0500

We had a customer request an E-Verify poster today. There is a database
provided by the Dept of Homeland Security and Social Security
Administration called E-Verify where you can get verification of employment
status. Employers that participate are required to post this E-Verify
participation poster (English and Spanish attached). According to uscis.gov
there are more than 600,000 employers participating and 1.9 million hiring
sites. I think we need to start selling this poster and we should even do a
mailer for it.
What do you think?

https://www.uscis.gov/e-verify/what-e-verify